package cn.ibizlab.util.security;

import lombok.Data;

@Data
public class UAAMenuAuthority extends UAAGrantedAuthority {

    private String menuTag;

    public UAAMenuAuthority(){
        this.setType("APPMENU");
    }

    @Override
    public String getAuthority() {
        return "APPMENU_"+menuTag;
    }

    public void setAuthority(String menuTag) {
        this.menuTag = menuTag;
    }

}

