package cn.ibizlab.util.security;

import lombok.Data;

@Data
public class UAAUniResAuthority extends UAAGrantedAuthority {

    private String unionResTag;

    public UAAUniResAuthority(){
        this.setType("UNIRES");
    }

    @Override
    public String getAuthority() {
        return "UNIRES_"+unionResTag;
    }

    public void setAuthority(String unionResTag) {
        this.unionResTag = unionResTag;
    }

}

